description

# XPathResult class Null safety

Annotations
  - @deprecated
  - @Native("XPathResult")

## Properties

booleanValue → bool?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
invalidIteratorState → bool?
  read-only
numberValue → num?
  read-only
resultType → int?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
singleNodeValue → Node?
  read-only
snapshotLength → int?
  read-only
stringValue → String?
  read-only

## Methods

iterateNext() → Node?
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
snapshotItem(int index) → Node?
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

ANY_TYPE → const int
  `0`
ANY_UNORDERED_NODE_TYPE → const int
  `8`
BOOLEAN_TYPE → const int
  `3`
FIRST_ORDERED_NODE_TYPE → const int
  `9`
NUMBER_TYPE → const int
  `1`
ORDERED_NODE_ITERATOR_TYPE → const int
  `5`
ORDERED_NODE_SNAPSHOT_TYPE → const int
  `7`
STRING_TYPE → const int
  `2`
UNORDERED_NODE_ITERATOR_TYPE → const int
  `4`
UNORDERED_NODE_SNAPSHOT_TYPE → const int
  `6`